<?php

namespace IQBall\Core\Data;

class TacticInfo implements \JsonSerializable {
    private int $id;
    private string $name;
    private int $creationDate;
    private int $ownerId;
    private CourtType $courtType;
    private string $content;

    /**
     * @param int $id
     * @param string $name
     * @param int $creationDate
     * @param int $ownerId
     * @param CourtType $type
     * @param string $content
     */
    public function __construct(int $id, string $name, int $creationDate, int $ownerId, CourtType $type, string $content) {
        $this->id = $id;
        $this->name = $name;
        $this->ownerId = $ownerId;
        $this->creationDate = $creationDate;
        $this->courtType = $type;
        $this->content = $content;
    }

    /**
     * @return string
     */
    public function getContent(): string {
        return $this->content;
    }

    public function getId(): int {
        return $this->id;
    }

    public function getName(): string {
        return $this->name;
    }

    /**
     * @return int
     */
    public function getOwnerId(): int {
        return $this->ownerId;
    }

    public function getCourtType(): CourtType {
        return $this->courtType;
    }

    /**
     * @return int
     */
    public function getCreationDate(): int {
        return $this->creationDate;
    }

    public function jsonSerialize()
    {
        return get_object_vars($this);
    }
}
