<?php

namespace IQBall\Core\Data;

use _PHPStan_4c4f22f13\Nette\Utils\Json;

class User implements \JsonSerializable {
    /**
     * @var string $email user's mail address
     */
    private string $email;

    /**
     * @var string the user's username
     */
    private string $name;

    /**
     * @var int the user's id
     */
    private int $id;

    /**
     * @var string user's profile picture
     */
    private string $profilePicture;

    /**
     * @param string $email
     * @param string $name
     * @param int $id
     * @param string $profilePicture
     */
    public function __construct(string $email, string $name, int $id, string $profilePicture) {
        $this->email = $email;
        $this->name = $name;
        $this->id = $id;
        $this->profilePicture = $profilePicture;
    }

    /**
     * @return string
     */
    public function getEmail(): string {
        return $this->email;
    }

    /**
     * @return string
     */
    public function getName(): string {
        return $this->name;
    }

    /**
     * @return int
     */
    public function getId(): int {
        return $this->id;
    }

    /**
     * @return string
     */
    public function getProfilePicture(): string {
        return $this->profilePicture;
    }

    public function jsonSerialize() {
        return get_object_vars($this);
    }
}
